Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | Static Protected Member Functions | List of all members
eZFilePassthroughHandler Class Reference
Binary file handlers

Handles file downloading by passing the file through PHP. More...

Inheritance diagram for eZFilePassthroughHandler:

## Public Member Functions
| __construct ()
| handleFileDownload ( $contentObject, $contentObjectAttribute, $type, $fileInfo)
Public Member Functions inherited from eZBinaryFileHandler
| __construct ( $identifier, $name, $handleType)
| attributes ()
| hasAttribute ( $attribute)
| attribute ( $attribute)
| viewTemplate ( $contentobjectAttribute)
| editTemplate ( $contentobjectAttribute)
| informationTemplate ( $contentobjectAttribute)
| handleUpload ()
| downloadFileObject ( $contentObject, $contentObjectAttribute)
| handleDownload ( $contentObject, $contentObjectAttribute, $type)
| repositories ()

## Public Attributes
const | HANDLER_ID = 'ezfilepassthrough'
Public Attributes inherited from eZBinaryFileHandler
const | HANDLE_UPLOAD = 0x1
const | HANDLE_DOWNLOAD = 0x2
const | HANDLE_ALL = 0x3
const | TYPE_FILE = 'file'
const | TYPE_MEDIA = 'media'
const | RESULT_OK = 1
const | RESULT_UNAVAILABLE = 2
| $Info

## Static Protected Member Functions
static | dispositionType ( $mimeType)

## Additional Inherited Members
Static Public Member Functions inherited from eZBinaryFileHandler
static | instance ( $identifier=false)

## Detailed Description

Handles file downloading by passing the file through PHP.

Definition at line 17 of file ezfilepassthroughhandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZFilePassthroughHandler::__construct | ( |  | ) |

Definition at line 21 of file ezfilepassthroughhandler.php.

References eZBinaryFileHandler\HANDLE_DOWNLOAD.

## Member Function Documentation

## ◆ dispositionType()

static eZFilePassthroughHandler::dispositionType | ( |  | $mimeType | ) |
| static protected

Checks if a file should be downloaded to disk or displayed inline in the browser.

Behavior by MIME type and default behavior are configured in file.ini

Parameters

  string | $mimetype |

Returns
  string "attachment" or "inline"

Definition at line 91 of file ezfilepassthroughhandler.php.

## ◆ handleFileDownload()

eZFilePassthroughHandler::handleFileDownload | ( |  | $contentObject,
|  |  | $contentObjectAttribute,
|  |  | $type,
|  |  | $fileInfo
| ) |  |

Reimplemented from eZBinaryFileHandler.

Definition at line 26 of file ezfilepassthroughhandler.php.

References eZExecution\cleanExit(), eZFile\downloadHeaders(), eZClusterFileHandler\instance(), eZBinaryFileHandler\RESULT_UNAVAILABLE, and eZDebug\writeError().

## Member Data Documentation

## ◆ HANDLER_ID

const eZFilePassthroughHandler::HANDLER_ID = 'ezfilepassthrough'

Definition at line 19 of file ezfilepassthroughhandler.php.

The documentation for this class was generated from the following file:

- ezfilepassthroughhandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.